## org.eclipse.m2m.atl.adt.ui.outline
Class AlphabeticalSorter

    java.lang.Object
      org.eclipse.jface.viewers.ViewerComparator
          org.eclipse.jface.viewers.ViewerSorter
              org.eclipse.m2m.atl.adt.ui.outline.AlphabeticalSorter

    public class AlphabeticalSorter

extends org.eclipse.jface.viewers.ViewerSorter

Field Summary

Fields inherited from class org.eclipse.jface.viewers.ViewerSorter
`collator`

Constructor Summary
`AlphabeticalSorter()`

Method Summary
`int` `category(java.lang.Object element)`
`int` `compare(org.eclipse.jface.viewers.Viewer viewer, java.lang.Object e1, java.lang.Object e2)`

Methods inherited from class org.eclipse.jface.viewers.ViewerSorter
`getCollator`

Methods inherited from class org.eclipse.jface.viewers.ViewerComparator
`getComparator, isSorterProperty, sort`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AlphabeticalSorter

    public AlphabeticalSorter()

Method Detail

### category

    public int category(java.lang.Object element)

  Overrides:
    `category` in class `org.eclipse.jface.viewers.ViewerComparator`
  See Also:
    `ViewerComparator.category(java.lang.Object)`

### compare

    public int compare(org.eclipse.jface.viewers.Viewer viewer,
                       java.lang.Object e1,
                       java.lang.Object e2)

  Overrides:
    `compare` in class `org.eclipse.jface.viewers.ViewerComparator`
  See Also:
    `ViewerComparator.compare(org.eclipse.jface.viewers.Viewer, java.lang.Object, java.lang.Object)`

Copyright 2007 IBM Corporation and others. All Rights Reserved.